/* wptUtil.h
 *	Copyright (C) 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 */
#ifndef WPT_UTIL_H
#define WPT_UTIL_H

#define IS_PATH 1

/* helpers */
char* strsep (char **stringp, const char *delim);
const char *stristr (const char *buf, const char *sub);
int check_email_address (const char *email);
int check_file_name (const char *fname, int is_path);
char* substr (const char *str, unsigned int begin, unsigned int end);

#endif
